--this syntax already prints everything on separate lines


function tableContains(tbl, x)
    found = false
    for _, v in pairs(tbl) do
        if v == x then 
            found = true
        end
    end
    return found
end

function convertJavaArrayToTable (javaArray)
    local t = {}
    for i = 1, #javaArray do
        javaArray[i-1].setAccessible(true);
        t[i] = tostring(javaArray[i-1].getName());
    end
    return t;
end

function tableConcat(t1,t2)
    for i=1,#t2 do
        t1[#t1+1] = t2[i]
    end
end

javaMethods = service.class.getDeclaredMethods();
javaMethods1 = service.class.getMethods();
luaMethods = convertJavaArrayToTable(javaMethods);
luaMethods1 = convertJavaArrayToTable(javaMethods1);
tableConcat(luaMethods, luaMethods1);
cleanMethods = {};
pattern = "^[a-zA-Z][0-9]?$";
for _, value in ipairs(luaMethods) do
    if value ~= nil and not tableContains(cleanMethods, "service." .. value) and not value:match(pattern) then
        cleanMethods[#cleanMethods + 1] = "service." .. value
    end
end
table.sort(cleanMethods)
text = "عدد الوظائف التي تم إيجادها هو : " .. tostring(#cleanMethods) .. "\n";
print(text);
for i = 1, #cleanMethods do
print(cleanMethods[i])
end
return true;